Page MenuHomePhabricator

Upgrade Cirrus elasticsearch clusters to 6.8.23
Closed, ResolvedPublic5 Estimated Story Points

Description

To support the migration to elasticsearch 7.10 we need to upgrade the production clusters to 6.8.23, the last release of elasticsearch 6.x,. This will allow us to collect the full set of deprecation warnings elastic implemented as part of the 7.x upgrade process. This ticket is about upgrading clusters and should be done after T294499

Related Objects

Event Timeline

Zbyszko renamed this task from Upgrade Cirrus elasticsearch cluster to 6.8.20 to Upgrade Cirrus elasticsearch clusters to 6.8.20.Nov 15 2021, 9:24 AM

After this happens... We need to bump elasticsearch/elasticsearch in MediaWiki-Vendor to 6.8.x - https://github.com/elastic/elasticsearch-php/tree/v6.8.0#version-matrix

Possibly via 6.7.x

https://gerrit.wikimedia.org/r/c/mediawiki/vendor/+/748166/1
https://gerrit.wikimedia.org/r/c/mediawiki/vendor/+/748167/1

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Elastica/+/748186/1 (noop)
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Elastica/+/748168/1 - we can probably merge this one in advance, as it's just relaxing the version constraints... No apparent/called out breaking changes.

Vendor patch would need to land later; 6.8.2 patch requires PHP ^7.3... So more reason to do it in two steps

dcausse renamed this task from Upgrade Cirrus elasticsearch clusters to 6.8.20 to Upgrade Cirrus elasticsearch clusters to 6.8.23.Jan 18 2022, 3:39 PM
dcausse updated the task description. (Show Details)

Change 757046 had a related patch set uploaded (by DCausse; author: DCausse):

[operations/puppet@production] aptrepo: add an elastic68 component

https://gerrit.wikimedia.org/r/757046

Change 757046 merged by Muehlenhoff:

[operations/puppet@production] aptrepo: add an elastic68 component

https://gerrit.wikimedia.org/r/757046

Change 763477 had a related patch set uploaded (by Gehel; author: Gehel):

[operations/puppet@production] elasticsearch: allow using elasticsearch v6.8

https://gerrit.wikimedia.org/r/763477

Change 763477 merged by Bking:

[operations/puppet@production] elasticsearch: allow using elasticsearch v6.8

https://gerrit.wikimedia.org/r/763477

Mentioned in SAL (#wikimedia-operations) [2022-04-12T19:18:02Z] <ryankemper> T295666 Gearing up for rolling upgrade of codfw cirrus to 6.8.23. Commencing operation shortly. Will be using a batch size of 3 hosts